/*
 * FPLI.H
 *
 * FPL Interpreter Header File.  Public definitions.
 *
 * Copyright (c) 1993 by Siemens AG. All rights reserved.
 *
 * $Header:   P:/VCS/FPLI/FPLI.H_V   1.2   01 Feb 1994 13:34:56   ror  $
 */

/* FPL INTERPRETER HIGH LEVEL USER INTERFACE */

BOOL FAR PASCAL FPLIntInit (OBJHANDLE hobj);
BOOL FAR PASCAL FPLIntRun (OBJHANDLE FPLHandle, BOOL reset);
void FAR PASCAL FPLIntClean (OBJHANDLE FPLHandle);
int FAR PASCAL FPLIntFindVar (OBJHANDLE FPLHandle, LPSTR varname);
LPSTR FAR PASCAL FPLIntGetVarName (OBJHANDLE FPLHandle, int i, LPSTR varname, int maxlen);
void FAR PASCAL FPLIntFastGetVar (OBJHANDLE FPLHandle, int hvar, LPFLOAT value);
void FAR PASCAL FPLIntFastSetVar (OBJHANDLE FPLHandle, int hvar, FLOAT value);

#define FPLIntSetVar(htop, varname, value) \
{\
    int handle;\
    if ((handle = FPLIntFindVar (htop, varname)) != -1)\
	FPLIntFastSetVar (htop, handle, value);\
}

#define FPLIntGetVar(htop, varname, value) \
{\
    int handle;\
    if ((handle = FPLIntFindVar (htop, varname)) != -1)\
	FPLIntFastGetVar (htop, handle, value);\
}
